using System;
using System.Text;

namespace BO.AppServer.Metadata.Dto
{
    public class BoAuditDto : BoAuditTimestampDto
    {
        public string CreatedBy { get; set; }
        public string ChangedBy { get; set; }


        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("Created: ").Append(Created).Append(" by ").Append(CreatedBy);
            if (Changed.HasValue)
                sb.Append("/Changed: ").Append(Changed.Value).Append(" by ").Append(ChangedBy);

            return sb.ToString();
        }
    }
}
